Public Member Functions
SceneRenderProperty Class Reference

## Detailed Description

This object represents a scene render property. The scene render property controls common render settings for all passes in the scene and the render region. The property allows to quickly change a common set of options, such as the rendering engine, field rendering, motion blur and resolution, that will apply to all rendering options that derive from it. The property is a singleton and is only found under "Passes.RenderOptions".

The scene render property also lists the current set of render channels applicable to the system. RenderChannel objects can be listed, added and removed using the property's methods. Framebuffer objects can be created from render channels in order to output them to disk. Render channels can also be directly viewed in the render region.

See also:
  Framebuffer RenderChannel Pass Property Scene

Since:
  6.0

`#include <xsi_scenerenderproperty.h>`

Inheritance diagram for SceneRenderProperty:
[legend]

List of all members.

## Public Member Functions
| SceneRenderProperty ()
| ~SceneRenderProperty ()
| SceneRenderProperty (const CRef &in_ref)
| SceneRenderProperty (const SceneRenderProperty &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
SceneRenderProperty & | operator= (const SceneRenderProperty &in_obj)
SceneRenderProperty & | operator= (const CRef &in_ref)
CRefArray | GetRenderChannels ()
RenderChannel | CreateRenderChannel (const CString &in_Name, siRenderChannelType in_eType)
CStatus | RemoveRenderChannel (const CString &in_channelName)
CStatus | RemoveRenderChannel (RenderChannel &in_renderChannel)
Renderer | GetRenderer ()

## Constructor & Destructor Documentation

SceneRenderProperty | ( |  | ) |

Default constructor.

~SceneRenderProperty | ( |  | ) |

Default destructor.

SceneRenderProperty | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

SceneRenderProperty | ( | const SceneRenderProperty & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Property.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Property.

SceneRenderProperty& operator= | ( | const SceneRenderProperty & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new SceneRenderProperty object.

SceneRenderProperty& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new SceneRenderProperty object.

Reimplemented from Property.

CRefArray GetRenderChannels | ( |  | ) |

Returns all the render channels currently available in the scene.

Returns:
  Array of references to each RenderChannel object.

See also:
  Framebuffer RenderChannel Pass Scene

RenderChannel CreateRenderChannel | ( | const CString & | in_Name,
|  | siRenderChannelType | in_eType
| ) |  |

Creates a new render channel. The render channel is immediately visible to the render region but requires a Framebuffer to be created from it in order to be available to a Pass.

Parameters:

  in_Name | The name for the new channel. If the name already exists, it will be modified and the new channel will have the modified name.
  in_eType | The type of render channel to create.

Returns:
  The newly created render channel.

See also:
  Framebuffer RenderChannel Pass

CStatus RemoveRenderChannel | ( | const CString & | in_channelName | ) |

Removes an already existing user-defined render channel by name. If the channel doesn't exist the function returns CStatus::InvalidArgument.

Warning:
  It is not possible to remove channels provided by the renderer (if RenderChannel::GetUserDefined returns `false` ).

Parameters:

  in_channelName | The name of the render channel to remove.

Returns:
  CStatus::OK Succeeded
  CStatus::InvalidArgument No channel exists with the name given.
  CStatus::AccessDenied Couldn't remove render channel because it is not user-defined.

See also:
  RenderChannel::GetUserDefined Framebuffer RenderChannel Pass

CStatus RemoveRenderChannel | ( | RenderChannel & | in_renderChannel | ) |

Removes the input user-defined RenderChannel object.

Warning:
  It is not possible to remove channels provided by the renderer (if RenderChannel::GetUserDefined returns `false` ).

Parameters:

  in_renderChannel | The render channel to remove.

Returns:
  CStatus::OK Succeeded
  CStatus::AccessDenied Couldn't remove render channel because it is not user-defined.

See also:
  RenderChannel::GetUserDefined Framebuffer RenderChannel Pass

Renderer GetRenderer | ( |  | ) |

Returns the rendering engine selected for the scene.

Returns:
  The scene global rendering engine.

Since:
  7.0

The documentation for this class was generated from the following file:

- xsi_scenerenderproperty.h